# TODO: use gtk4-update-icon-cache
Summary:	Polari - IRC client for GNOME 3
Summary(pl.UTF-8):	Polari - klient IRC dla GNOME 3
Name:		polari
Version:	46.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	https://download.gnome.org/sources/polari/46/%{name}-%{version}.tar.xz
# Source0-md5:	61da1fa512be82555ffbc0a2cc69515c
Patch0:		%{name}-no-update.patch
URL:		https://wiki.gnome.org/Apps/Polari
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools >= 0.19.6
BuildRequires:	gjs-devel >= 1.73.1
BuildRequires:	glib2-devel >= 1:2.43.4
BuildRequires:	gobject-introspection-devel >= 1.0
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.12
BuildRequires:	tracker3-devel >= 3.0
BuildRequires:	yelp-tools
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.43.4
Requires(post,postun):	gtk-update-icon-cache
# see src/main.js for GI dependencies
Requires:	gdk-pixbuf2 >= 2.0
Requires:	gjs >= 1.73.1
Requires:	glib2 >= 1:2.43.4
Requires:	graphene
Requires:	gspell
# thumbnailer still uses GTK+ 3 and webkit 4.1/4.0
Requires:	gtk+3 >= 3.0
Requires:	gtk-webkit4.1
Requires:	gtk4 >= 4.0
Requires:	hicolor-icon-theme
Requires:	libadwaita
Requires:	libsecret
Requires:	libsoup3 >= 3.0
Requires:	pango >= 1:1.26
Requires:	telepathy-glib >= 0.12
Requires:	telepathy-logger-libs >= 0.2
Requires:	tracker3 >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.

%description -l pl.UTF-8
Polari to klient usługi IRC (Internet Relay Chat), zaprojektowany dla
GNOME 3.

%prep
%setup -q
%patch0 -p1

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/*/apps/org.gnome.Polari*.license

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md logo.png.license data/icons/*.license data/icons/hicolor/*/apps/*.license
%attr(755,root,root) %{_bindir}/polari
%dir %{_libdir}/polari
%attr(755,root,root) %{_libdir}/polari/libpolari-1.0.so
%dir %{_libdir}/polari/girepository-1.0
%{_libdir}/polari/girepository-1.0/Polari-1.0.typelib
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Polari.service
%{_datadir}/dbus-1/services/org.gnome.Polari.service
%{_datadir}/glib-2.0/schemas/org.gnome.Polari.gschema.xml
%{_datadir}/metainfo/org.gnome.Polari.metainfo.xml
%{_datadir}/polari
%{_datadir}/telepathy/clients/Polari.client
%{_desktopdir}/org.gnome.Polari.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Polari.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Polari.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Polari-symbolic.svg
%changelog
* Sat May 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/polari.git;a=log;h=master

* Sat May 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 2b04cc8
- updated to 46.0

* Thu Nov 30 2023 Jakub Bogusz <qboosh@pld-linux.org> a2a7813
- updated to 45.0

* Mon May 22 2023 Jakub Bogusz <qboosh@pld-linux.org> c6e7d54
- updated to 43.0

* Thu Jul 07 2022 Jakub Bogusz <qboosh@pld-linux.org> c094cbd
- updated to 42.1

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 10ced0c
- updated to 42.0
- added no-update patch (don't require gtk4-update-icon-cache at build time)

* Wed Sep 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 5a15283
- updated to 41.0 (ported to gtk4, optionally libsoup3)

* Tue Jul 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 9002bad
- updated to 40.1

* Fri Jun 25 2021 Jakub Bogusz <qboosh@pld-linux.org> c4f1513
- updated to 40.0

* Fri Jun 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 3307beb
- updated to 3.38.1

* Fri Sep 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 20c17f1
- updated to 3.38.0

* Wed Jun 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 0e2d20c
- updated to 3.36.3

* Fri May 01 2020 Jakub Bogusz <qboosh@pld-linux.org> d0e230b
- updated to 3.36.2

* Sat Dec 21 2019 Jakub Bogusz <qboosh@pld-linux.org> c725026
- updated to 3.34.1

* Mon Nov 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 41770c3
- updated to 3.34.0

* Wed Jul 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 4fa0142
- updated to 3.24.2

* Tue Jul 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 0bae6ac
- more versioned BRs

* Thu Apr 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d05f706
- Update to 3.24.1

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 5d73e9e
- Add BR: gspell. Release 2

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6e63067
- Update to 3.24.0

* Fri Dec 30 2016 Jakub Bogusz <qboosh@pld-linux.org> b5ad577
- more BRs (mostly those buildrequired only by configure checks)

